# 3.10.28 (30-APR-2024)
 - fixed - issue with pawn based item upgrade arrow
 - fixed - https://github.com/arkayenro/arkinventory/issues/1879 - code updated to handle tooltips with empty info values
 - fixed - issue with mount selection code where preferring normal flying mounts would fail down to ground mounts in zones where only dragonriding mounts are usable (primalist future) instead of selecting a dragonriding mount.  it should now select the other mount type when the preferred type is not usable in that zone
 - fixed - issue with zone restricted mounts getting selected when not in that zone
 - fixed - https://github.com/arkayenro/arkinventory/issues/1857 - issue with currency headers not restoring to their original state after scanning
 - fixed - ldb currency menu (unused) wasnt triggering a rescan on being changed
 - fixed - ldb reputation menu (inactive) wasnt triggering a rescan on being changed
 - fixed - ldb reputation menu (inactive) was enabled when it shouldnt be
 - fixed - ldb reputation menu (at war) was enabled when it shouldnt be
 - fixed - stock value for reputation items should now display properly
 - fixed - stock value for container items should now display properly (INVTYPE_BAG is no longer assigned to them)
 - fixed - issue with item level config options display not being applied properly
 - fixed - issue with bag highlight
 - fixed - typo on the LDB pet object
 - changed - (cata beta) disabling void storage temporarily as it has not been implemented which is causing equipment manager outfit rules to not work properly.
 - changed - broke apart the onenter and updatetooltip code for item frames to reduce resource usage
 - changed - (classic) toc updated to 11502
 - added - individual item charges will now display in the item level text, total will not
 - added - rule function `category( )`
 - updated - category for some items

 - added stack compression - only one stack of each item in each bar is displayed, all stacks of that item (from the same bar) are then shown in a popup bar when you enter the compressed item frame
 - added - config > settings > designs > items > stack
 - added - config > settings > designs > items > stack > identify
 - moved - moved original stack limit settings to config > settings > designs > items > stack > identify
 - note - only the bag and bank are currently enabled for compression
 - note - instant sort is forced on by default when stack compression is active. you can disable it if youre ok with the mess between refreshes
 - note - clicking on the compressed item will toggle the popup bar


# known issues
 - some default frames (vendor/merchant at minimum) that would normally open via the PlayerInteractionFrameManager no longer open if you are in combat, you just get an addon error.  there is currently no workaround.
 - (dragonflight) reagentbank slots are no longer readable unless the bank is open
 - recipes on vendors are showing item counts for the items they create, not the recipe
 - Enum.ItemConsumableSubclass is missing the Flask entry and everything after has moved down a value which screws up the category names (have hardcoded a workaround for the moment)
 - items with an active cooldown dont allow comparison tooltips to generate
 - cooldowns no longer start automatically.  you can close/open the bag to get them to show (if you enable that option).  all of the cooldown events ACTIONBAR_UPDATE_COOLDOWN, BAG_UPDATE_COOLDOWN, PET_BAR_UPDATE_COOLDOWN, SPELL_UPDATE_COOLDOWN, appear to trigger off other players as well, but do not provide any indication whether the event was triggered by you or them, so cooldowns will trigger window refreshes fairly constantly when you are around large numbers of players.  even limiting it to one update per second generated too much lag, especially in massive groups.
 - chat link for a battlepet in the guild bank will not send
 - the first time you click on a hyperlink in chat it wont show the item counts

# to do
 - double check all categories show/hide for the right clients
 - confirm things havent broken in classic, wrath, or shadowlands
 - restack disable - maybe change this to require a modifier key instead of a straight disable?  might be easier to shift/alt/ctrl click on it than turning it on/off and its not like youll accidentally do it (which is why the disable was added)
 - backpack tokens to scroll when max width reached on second line
 - extend the categoryset actions to individual items for additional granular control.
 - add action; move (bank to bag, bag to bank, bag to vault, vault to bag)
 - add actions to items
 - allow multiple actions on a category / item
